Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class Debugger.SingleStep

    java.lang.Object
      com.sun.squawk.Debugger.SingleStep

Enclosing class:
  Debugger

    public static final class Debugger.SingleStep

extends Object

A `SingleStep` instance represents the stepping state of a thread that is currently performing a single step.

Field Summary
`static int` | `DEFERRED` The previously completed step was to a location in a class that excluded from the relevent StepEvent.
`static int` | `HIT` A step has been completed and the thread is waiting for the debugger to take some action as a result.
`static int` | `REQUESTED` The thread has been put into single stepping mode and has yet to complete a step.

Constructor Summary
`Debugger.SingleStep(Offset startFO, Offset startBCI, int targetBCI, int dupBCI, int afterDupBCI, int size, int depth)` Creates a SingleStep in the `REQUESTED` state.

Method Summary
`int` | `getState()` Gets the stepping state

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUESTED

    public static final int REQUESTED

  The thread has been put into single stepping mode and has yet to complete a step.

  See Also:
    Constant Field Values

### HIT

    public static final int HIT

  A step has been completed and the thread is waiting for the debugger to take some action as a result.

  See Also:
    Constant Field Values

### DEFERRED

    public static final int DEFERRED

  The previously completed step was to a location in a class that excluded from the relevent StepEvent.

  See Also:
    Constant Field Values

Constructor Detail

### Debugger.SingleStep

    public Debugger.SingleStep(Offset startFO,
                               Offset startBCI,
                               int targetBCI,
                               int dupBCI,
                               int afterDupBCI,
                               int size,
                               int depth)

  Creates a SingleStep in the `REQUESTED` state.

  Parameters:
    `startFO` - the offset (in bytes) from the top of the stack of the frame in which the step started
    `startBCI` - the bytecode index of the instruction at which the step started
    `targetBCI` - the bytecode index of the next instruction after `startBCI` that starts a new source line
    `dupBCI` - the bytecode index of another instruction apart from `startBCI` that returns to the same line as `startBCI`
    `afterDupBCI` - the bytecode index of the first instruction after `dupBCI` that is on a new source line
    `size` - the granularity of the step (1 = source line, 0 = minimum possible step)
    `depth` - the call stack depth of the step (0 = step into, 1 = step over, 2 = step out)

Method Detail

### getState

    public final int getState()

  Gets the stepping state

  Returns:
    REQUESTED, HIT, or DEFERRED

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"